Skip to main content
GET
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
run
/
summary
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/summary \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "totalCount": 123,
  "statusStats": {
    "success": 123,
    "failed": 123,
    "running": 123,
    "pending": 123,
    "canceled": 123
  },
  "avgSpent": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
workflowId
string
required

Response

200 - application/json

Successful response

totalCount
number
required

total number of runs

statusStats
object
required

count of runs by status

avgSpent
number
required

average runtime in milliseconds

Last modified on March 5, 2026